Skip to content
PATCH /group-mapping/{id}

Path Parameters

idstring · uuid
required·

The ID of the group mapping you want to update.

Example: 1ba1f401-7183-47c5-9e39-e8e257e3c795

Request Body

environment_idsstring[]

Environment IDs that members of the mapped group are granted access to.

rolestring

The role granted to members of the mapped SCIM group.

Example: member
Possible values:
adminmember
scim_group_idstring · uuid

The ID of the SCIM group this mapping applies to.

Example: 9c2b104d-74a6-47f2-b93e-c6b611e82391

Response Body

created_atstring · date-time

The date and time when the group mapping was created.

Example: 2021-08-10T10:00:00.000Z
environment_idsstring[]

Environment IDs that members of the mapped group are granted access to.

idstring · uuid

The ID of the group mapping.

Example: 1ba1f401-7183-47c5-9e39-e8e257e3c795
rolestring

The role granted to members of the mapped SCIM group. Null leaves the role unchanged.

Example: member
Possible values:
adminmember
scim_group_idstring · uuid

The ID of the SCIM group this mapping applies to.

Example: 9c2b104d-74a6-47f2-b93e-c6b611e82391
team_idstring · uuid

The ID of the team that owns this group mapping.

Example: 05daecaf-4365-42e8-8370-8127de5dd717
updated_atstring · date-time

The date and time when the group mapping was last updated.

Example: 2021-08-10T10:30:00.000Z
curl -X PATCH 'https://api.truto.one/group-mapping/{id}' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json' \
  -d '{
  "scim_group_id": "9c2b104d-74a6-47f2-b93e-c6b611e82391",
  "role": "member",
  "environment_ids": []
}'
const body = {
  "scim_group_id": "9c2b104d-74a6-47f2-b93e-c6b611e82391",
  "role": "member",
  "environment_ids": []
};

const response = await fetch('https://api.truto.one/group-mapping/{id}', {
  method: 'PATCH',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
  body: JSON.stringify(body),
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/group-mapping/{id}"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
}
payload = {
    "scim_group_id": "9c2b104d-74a6-47f2-b93e-c6b611e82391",
    "role": "member",
    "environment_ids": []
}

response = requests.patch(url, headers=headers, params=params, json=payload)
print(response.json())